ObertObert
Signals

Query Signals

Search and filter signals with structured filter specs.

POST
/api/signals/query
AuthorizationBearer <token>

In: header

Header Parameters

x-tenant-id?string|null
filters?
Default[]
search?string|null
sort_by?string
Default"created_at"
Value in"created_at" | "type" | "display_name"
sort_dir?string
Default"desc"
Value in"asc" | "desc"
page?integer
Default1
Range1 <= value
page_size?integer
Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X POST "https://api.obert.io/api/signals/query" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": [
    {
      "id": "string",
      "tenant_id": "string",
      "list_ids": [
        "string"
      ],
      "type": "string",
      "config": {},
      "status": "active",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "has_more": false,
  "page": 1,
  "page_size": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}